Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.im
Interface IInstantMessage

All Superinterfaces:
  IItem, IMessage, IMessagingItem, java.io.Serializable

public interface IInstantMessage
extends IMessage

Provides the interface to the instant message item.

See Also:
  `IContainer.add()`

Field Summary
`static ItemClass` | `CLASS` The `ItemClass` for `IInstantMessage`.
`static Key` | `FROM` The key for the `from` field.
`static int` | `KEYID_FROM` The `int` ID for the `FROM` key.

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`void` | `addRecipient(IFriend friend)` Acts the same way as the `IMessage.addRecipient(String)`, but excepts an `IFriend` reference, which allows for more abstract handling of message sending.
`java.lang.String` | `getFrom()` Gets the username of the user that sent the message.
`void` | `setTypingStatus(boolean bTyping)` Indicates to any recipients that the user is typing a message.

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, removeRecipient, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_FROM

    public static final int KEYID_FROM

  The `int` ID for the `FROM` key.

### FROM

    public static final Key FROM

  The key for the `from` field.

### CLASS

    public static final ItemClass CLASS

  The `ItemClass` for `IInstantMessage`.

Method Detail

### getFrom

    public java.lang.String getFrom()
                             throws CollaborationException

  Gets the username of the user that sent the message.
  Returns:
    the from user (not `null`

  ### setTypingStatus

      public void setTypingStatus(boolean bTyping)
                           throws CollaborationException

    Indicates to any recipients that the user is typing a message. Because this method requires knowledge of the recipients, the `IMessage.addRecipient(String)` method must have been called before calling this method.
    Parameters:
      `bTyping` - if `true`, the user is type, if `false` then the user is not typing
    Throws:
      `CollaborationException` - (if the typing notification could not be sent)
    See Also:
      `(String, boolean)`

  ### addRecipient

      public void addRecipient(IFriend friend)
                        throws CollaborationException

    Acts the same way as the `IMessage.addRecipient(String)`, but excepts an `IFriend` reference, which allows for more abstract handling of message sending. Client code need not be concerned with semantics of how each provider refers to friends.
    Parameters:
      `friend` - friend to send the message to (not `null`)
    Throws:
      `CollaborationException` - thrown if failed to send the message

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | Compoze Software, Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.